if [ -x /usr/bin/gtk-update-icon-cache.exe ]
then
    /usr/bin/gtk-update-icon-cache --force /usr/share/icons/hicolor
fi

if ! /usr/bin/gtk-query-immodules-2.0 --update-cache
then
/usr/bin/mkdir -p /etc/gtk-2.0
/usr/bin/chmod 777 /etc/gtk-2.0
/usr/bin/gtk-query-immodules-2.0 > /etc/gtk-2.0/gtk.immodules
fi

/usr/bin/gtk-query-immodules-3.0 --update-cache

/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

